## pgn-extract 17.55

=== Makefile ===
# Make file for the pgn-extract program.
#
#  This file is part of pgn-extract: a Portable Game Notation (PGN) extractor.
#  Copyright (C) 1994-2017 David J. Barnes
#
#  pgn-extract is free software: you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation, either version 3 of the License, or
#  (at your option) any later version.
#
#  pgn-extract is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with pgn-extract. If not, see <http://www.gnu.org/licenses/>.
#
#  David J. Barnes may be contacted as d.j.barnes@kent.ac.uk
#  https://www.cs.kent.ac.uk/people/staff/djb/

OBJS=grammar.o lex.o map.o decode.o moves.o lists.o apply.o output.o eco.o \
	lines.o end.o main.o hashing.o argsfile.o mymalloc.o fenmatcher.o \
	taglines.o zobrist.o
DEBUGINFO=-g

# These flags are particularly severe on checking warnings.
# It may be that they are not all appropriate to your environment.
# For instance, not all environments have prototypes available for
# the standard library functions.

# Linux users might need to add -D__linux__ to these in order to
# use strcasecmp instead of strcmpi (cf output.c)

# Mac OS X users might need to add -D__unix__ to CFLAGS
# and use CC=cc or CC=gcc

CFLAGS+=-c -pedantic -Wall -Wshadow -Wformat -Wpointer-arith \
	-Wstrict-prototypes -Wmissing-prototypes -Wwrite-strings \
	-Wsign-compare -Wimplicit-function-declaration $(DEBUGINFO) \
	-I/usr/local/lib/ansi-include -std=c99 \
	-O3
	 
CC=gcc

# AIX 3.2 Users might like to use these alternatives for CFLAGS and CC.
# Thanks to Erol Basturk for providing them.
AIX_CFLAGS=-c -D_POSIX_SOURCE -D_XOPEN_SOURCE -D_ALL_SOURCE
AIX_CC=xlc

pgn-extract : $(OBJS)
	$(CC) $(DEBUGINFO) $(OBJS) -o pgn-extract

purify : $(OBJS)
	purify $(CC) $(DEBUGINFO) $(OBJS) -o pgn-extract

clean:
	rm -f core pgn-extract *.o

mymalloc.o : mymalloc.c mymalloc.h
	$(CC) $(CFLAGS) mymalloc.c

apply.o :  apply.c defs.h lex.h grammar.h typedef.h map.h bool.h apply.h taglist.h\
	   eco.h decode.h moves.h hashing.h mymalloc.h output.h fenmatcher.h\
	   zobrist.h
	$(CC) $(CFLAGS) apply.c

argsfile.o : argsfile.c argsfile.h bool.h defs.h typedef.h lines.h \
		taglist.h tokens.h lex.h taglines.h moves.h eco.h apply.h output.h \
		lists.h mymalloc.h
	$(CC) $(CFLAGS) argsfile.c

decode.o : decode.c defs.h typedef.h taglist.h lex.h bool.h decode.h lists.h \
            tokens.h mymalloc.h
	$(CC) $(CFLAGS) decode.c

eco.o :  eco.c defs.h lex.h typedef.h map.h bool.h eco.h taglist.h apply.h \
           mymalloc.h
	$(CC) $(CFLAGS) eco.c

end.o : end.c end.h bool.h defs.h typedef.h lines.h tokens.h lex.h mymalloc.h \
        apply.h grammar.h
	$(CC) $(CFLAGS) end.c

grammar.o : grammar.c bool.h defs.h typedef.h lex.h taglist.h map.h lists.h\
	    moves.h apply.h output.h tokens.h eco.h end.h grammar.h hashing.h \
	    mymalloc.h
	$(CC) $(CFLAGS) grammar.c

hashing.o : hashing.c hashing.h bool.h defs.h typedef.h tokens.h\
		taglist.h lex.h mymalloc.h
	$(CC) $(CFLAGS) hashing.c

lex.o : lex.c bool.h defs.h typedef.h tokens.h taglist.h map.h\
	lists.h decode.h moves.h lines.h grammar.h mymalloc.h apply.h\
	output.h
	$(CC) $(CFLAGS) lex.c

lines.o : lines.c bool.h lines.h mymalloc.h
	$(CC) $(CFLAGS) lines.c

lists.o :  lists.c lists.h taglist.h bool.h defs.h typedef.h mymalloc.h moves.h
	$(CC) $(CFLAGS) lists.c

main.o : main.c bool.h defs.h typedef.h tokens.h taglist.h lex.h moves.h\
	   map.h lists.h output.h end.h grammar.h hashing.h \
	   argsfile.h mymalloc.h
	$(CC) $(CFLAGS) main.c

map.o :  map.c defs.h lex.h typedef.h map.h bool.h decode.h taglist.h \
         mymalloc.h
	$(CC) $(CFLAGS) map.c

moves.o :  moves.c defs.h typedef.h lex.h bool.h map.h lists.h moves.h apply.h\
	   lines.h taglist.h mymalloc.h fenmatcher.h
	$(CC) $(CFLAGS) moves.c

fenmatcher.o : fenmatcher.c grammar.h apply.h bool.h defs.h fenmatcher.h mymalloc.h typedef.h
	$(CC) $(CFLAGS) fenmatcher.c

output.o :  output.c output.h taglist.h bool.h typedef.h defs.h lex.h grammar.h\
	    apply.h mymalloc.h
	$(CC) $(CFLAGS) output.c

taglines.o : taglines.c bool.h defs.h typedef.h tokens.h taglist.h lex.h lines.h \
             lists.h moves.h output.h taglines.h
	$(CC) $(CFLAGS) taglines.c

zobrist.o : zobrist.c zobrist.h bool.h defs.h typedef.h apply.h decode.h grammar.h
	$(CC) $(CFLAGS) zobrist.c

=== test/Makefile ===
# Makefile to run a battery of tests of the basic functionality of pgn-extract.
# Copyright (C) David J. Barnes, 2013-2017
#
# Each test is run and then, where relevant, a comparison is made between
# the output files generated in the current directory and the 'oracle'
# files that exist in $(OUTPUT).
#
# Beware of case-insensitive filenames when testing flags that
# differ only in letter case. In general, double letters have been
# used for output-files generated from using upper-case flag letters.

PGN_EXTRACT=../pgn-extract
# Use for memory checking if valgrind is installed.
#PGN_EXTRACT=valgrind --dsymutil=yes ../pgn-extract

# Location of the file of ECO classifications.
ECO_FILE=../eco.pgn

# Location of the input files
INPUT=infiles
# Location of the oracle output files
OUTPUT=outfiles

# Test everything.
all: no-flags-1 no-flags-2 test-7 test-append test-AA test-b test-p \
     test-checkfile test-nocomments test-duplicates \
     test-noduplicates test-e test-EE test-f test-FF test-h test-l \
     test-LL test-checkmate test-n test-NN test-output test-PP test-r \
     test-RR test-s test-SS test-t test-TT test-nounique test-v \
     test-VV test-linelength test-WW test-x test-ZZ test-z test-hash \
     test-evaluation test-fencomments test-markmatches test-nochecks \
     test-nomovenumbers test-noresults test-notags test-plylimit \
     test-stalemate test-long-line test-plycount test-addhashcode \
     test-selectonly test-fifty test-repetition test-promotion \
     test-fixresulttags test-fuzzydepth test-setup test-stopafter \
     test-skipmatching test-splitvariants test-nobadresults test-allownullmoves \
     test-matchplylimit

# BEWARE: This removes all PGN files in the current directory.
# The required test PGN files are assumed to be in $(INPUT).
clean:
	-rm -f *.pgn *og.txt

# No flags:
#     + No input file.
#     - Input file(s): N/A
#     - Example input:
#       f3 e5 g4 Qh4 0-1
#     - Resulting output should be that the game input on standard input is
#       formatted as PGN on standard output.
#     - Expected output: 
#       Contents of fools-mate.pgn on standard output.
no-flags-1:
	echo "test: No input file."
	$(PGN_EXTRACT) --quiet < $(INPUT)/fools-mate.txt

# No flags:
#     + Single input file
#     - Input file(s): fools-mate.txt
#     - Resulting output should be the input formatted as PGN on standard output.
#     - Expected output: Contents of fools-mate.pgn should appear on standard output.
no-flags-2:
	echo "test: No flags."
	$(PGN_EXTRACT) --quiet $(INPUT)/fools-mate.txt

# -7 / --seven
#     + Input file with games having tags additional to the seven tag roster.
#     - Input file(s): test-7.pgn
#     - Game output should have only the tags of the seven tag roster.
#     - Expected output: test-7-out.pgn
test-7:
	echo "test-7:"
	$(PGN_EXTRACT) -7 -otest-7-out.pgn --quiet $(INPUT)/test-7.pgn
	cmp test-7-out.pgn $(OUTPUT)/test-7-out.pgn

# -a / --append
#     + Input file containing games in any accepted format.
#     - Input file(s): test-a.txt
#     - Resulting output should contain two versions of the input game
#       formatted in PGN. The --output command is run first to create
#       a new file, then the -a version to append to that file.
#     - Expected output: test-a-out.pgn
test-append:
	echo "test-append:"
	$(PGN_EXTRACT) --output test-a-out.pgn --quiet $(INPUT)/test-a.txt
	$(PGN_EXTRACT) -atest-a-out.pgn --quiet $(INPUT)/test-a.txt
	cmp test-a-out.pgn $(OUTPUT)/test-a-out.pgn

	$(PGN_EXTRACT) --output test-a-out.pgn --quiet $(INPUT)/test-a.txt
	$(PGN_EXTRACT) --append test-a-out.pgn --quiet $(INPUT)/test-a.txt
	cmp test-a-out.pgn $(OUTPUT)/test-a-out.pgn

# -A
#     + Input file containing games and a file of arguments.
#     - Input file(s): fischer.pgn, petrosian.pgn, arglist.txt
#     - Resulting output should be files separating the unique and
#       duplicated games in the input files.
#     - Expected output: test-AA-unique.pgn, test-AA-dupes.pgn
test-AA:
	echo "test-A:"
	$(PGN_EXTRACT) -A$(INPUT)/argslist.txt --quiet
	cmp test-AA-dupes.pgn $(OUTPUT)/test-AA-dupes.pgn
	cmp test-AA-unique.pgn $(OUTPUT)/test-AA-unique.pgn

# -b
#     + Input file containing games of different length.
#     - Input file(s): fischer.pgn
#     - Resulting output: games whose number of moves is within
#       the specified bounds.
# 
test-b: test-bl45 test-bu45 test-bu30

# -p
#     + Input file containing games of different length.
#     - Input file(s): fischer.pgn
#     - Resulting output: games whose number of ply is within
#       the specified bounds.
# 
test-p: test-pl90 test-pu90 test-pu60

#     - Expected output: 45 moves or more: test-bl45-out.pgn
test-bl45:
	echo "test-b:"
	$(PGN_EXTRACT) -bl45 -otest-bl45-out.pgn --quiet $(INPUT)/fischer.pgn
	cmp test-bl45-out.pgn $(OUTPUT)/test-bl45-out.pgn

#     - Expected output: 45 moves or less: test-bu45-out.pgn
test-bu45:
	echo "test-b:"
	$(PGN_EXTRACT) -bu45 -otest-bu45-out.pgn --quiet $(INPUT)/fischer.pgn
	cmp test-bu45-out.pgn $(OUTPUT)/test-bu45-out.pgn

#     - Expected output: exactly 30 moves: test-b30-out.pgn
test-bu30:
	echo "test-b:"
	$(PGN_EXTRACT) -b30 -otest-b30-out.pgn --quiet $(INPUT)/fischer.pgn
	cmp test-b30-out.pgn $(OUTPUT)/test-b30-out.pgn

#     - Expected output: 90 moves or more: test-pl90-out.pgn
test-pl90:
	echo "test-p:"
	$(PGN_EXTRACT) -pl90 -otest-pl90-out.pgn --quiet $(INPUT)/fischer.pgn
	cmp test-pl90-out.pgn $(OUTPUT)/test-pl90-out.pgn

#     - Expected output: 90 moves or less: test-pu90-out.pgn
test-pu90:
	echo "test-p:"
	$(PGN_EXTRACT) -pu90 -otest-pu90-out.pgn --quiet $(INPUT)/fischer.pgn
	cmp test-pu90-out.pgn $(OUTPUT)/test-pu90-out.pgn

#     - Expected output: exactly 60 moves: test-p60-out.pgn
test-pu60:
	echo "test-p:"
	$(PGN_EXTRACT) -p60 -otest-p60-out.pgn --quiet $(INPUT)/fischer.pgn
	cmp test-p60-out.pgn $(OUTPUT)/test-p60-out.pgn

# 
# -c / --checkfile
#     + Input files containing games.
#     - Input file(s): fischer.pgn, petrosian.pgn
#     - Resulting output should contain matched games that do not already occur in
#       the check file.
#     - Expected output: test-c-out.pgn
test-checkfile:
	echo "test-checkfile:"
	$(PGN_EXTRACT) -c$(INPUT)/petrosian.pgn -D -TpPetrosian -otest-c-out.pgn --quiet $(INPUT)/fischer.pgn
	cmp test-c-out.pgn $(OUTPUT)/test-c-out.pgn
	$(PGN_EXTRACT) -c$(INPUT)/clist.txt -D -TpPetrosian -otest-c-out.pgn --quiet $(INPUT)/fischer.pgn
	cmp test-c-out.pgn $(OUTPUT)/test-c-out.pgn

# -C / --nocomments
#     + Input file containing games with comments
#     - Input file(s): test-C.pgn
#     - Resulting output should have all comments removed.
#     - Expected output: test-CC-out.pgn
test-nocomments:
	echo "test-nocomments:"
	$(PGN_EXTRACT) -C -otest-CC-out.pgn --quiet $(INPUT)/test-C.pgn
	cmp test-CC-out.pgn $(OUTPUT)/test-CC-out.pgn

# -d / --duplicates
#     + Input file containing games with duplicates and non-duplicates.
#     - Input file(s): fischer.pgn, $(INPUT)/petrosian.pgn
#     - Resulting output should be files separating the unique and
#       duplicated games in the input files.
#     - Expected output: test-d-unique.pgn, test-d-dupes.pgn
test-duplicates:
	echo "test-duplicates:"
	$(PGN_EXTRACT) -dtest-d-dupes.pgn -otest-d-unique.pgn --quiet $(INPUT)/fischer.pgn $(INPUT)/petrosian.pgn
	cmp test-d-dupes.pgn $(OUTPUT)/test-d-dupes.pgn
	cmp test-d-unique.pgn $(OUTPUT)/test-d-unique.pgn

# -D / --noduplicates
#     + Input file containing games with duplicates and non-duplicates.
#     - Input file(s): fischer.pgn, $(INPUT)/petrosian.pgn
#     - Resulting output should be a file containing the combined input
#       with duplicate games removed.
#     - Expected output: test-DD-unique.pgn
test-noduplicates:
	echo "test-noduplicates:"
	$(PGN_EXTRACT) -D -otest-DD-unique.pgn --quiet $(INPUT)/fischer.pgn $(INPUT)/petrosian.pgn
	cmp test-DD-unique.pgn $(OUTPUT)/test-DD-unique.pgn
	$(PGN_EXTRACT) --noduplicates -otest-DD-unique.pgn --quiet $(INPUT)/fischer.pgn $(INPUT)/petrosian.pgn
	cmp test-DD-unique.pgn $(OUTPUT)/test-DD-unique.pgn

# -e
#     + Input file containing games without ECO classifications.
#     - Input file(s): test-e.pgn and eco.pgn in the test folder.
#     - Resulting output should have ECO classification added to the tags.
#     - Expected output: test-e-out.pgn
test-e:
	echo "test-e:"
	$(PGN_EXTRACT) -e$(ECO_FILE) -otest-e-out.pgn --quiet $(INPUT)/test-e.pgn
	cmp test-e-out.pgn $(OUTPUT)/test-e-out.pgn

# -E
#     + Input file containing games.
#     - Input file(s): test-E.pgn and eco.pgn if -e flag is used.
#     - Resulting output should be separate files for each ECO classification
#       at the level of the initial letter (A-E).
#	NB: The test removes existing A-E files first because this option appends
#	to existing files, which breaks the comparison test otherwise.
#     - Expected output: A.pgn, B.pgn, E.pgn
test-EE:
	echo "test-E:"
	-rm -f [A-E].pgn
	$(PGN_EXTRACT) -e$(ECO_FILE) -E1 --quiet $(INPUT)/test-E.pgn
	cmp A.pgn $(OUTPUT)/A.pgn
	cmp B.pgn $(OUTPUT)/B.pgn
	cmp E.pgn $(OUTPUT)/E.pgn

# -f
#     + Input files containing games.
#     - Input file(s): test-f1.pgn, test-f2.pgn, files.txt
#     - Resulting output should be the combination of the input files.
#     - Expected output: test-f-out.pgn
test-f:
	echo "test-f:"
	$(PGN_EXTRACT) --quiet -f$(INPUT)/files.txt -otest-f-out.pgn
	cmp test-f-out.pgn $(OUTPUT)/test-f-out.pgn

# -F:
#     + Input file containing games without a trailing FEN comment.
#     - Input file(s): test-F.pgn
#     - Resulting output should have a comment at the end containing
#       the FEN description of the final position.
#     - Expected output: test-FF-out.pgn
test-FF:
	echo "test-F:"
	$(PGN_EXTRACT) -F -otest-FF-out.pgn --quiet $(INPUT)/test-F.pgn
	cmp test-FF-out.pgn $(OUTPUT)/test-FF-out.pgn
	$(PGN_EXTRACT) -Fdiagram -otest-FF-text-out.pgn --quiet $(INPUT)/test-F-text.pgn
	cmp test-FF-text-out.pgn $(OUTPUT)/test-FF-text-out.pgn

# 
# -h / -? / --help
#     + No input required.
#     - Input file(s): N/A
#     - Resulting output should be a description of how to use pgn-extract
#     - Expected output: N/A
# Also:
# 	../pgn-extract -?
# 	../pgn-extract --help
test-h:
	echo "test-h:"
	-$(PGN_EXTRACT) -h

# -l
#     + Input file containing games.
#     - Input file(s): fischer.pgn
#     - Resulting output: List of games parsed written to log.txt
#     - Expected output: log.txt
test-l:
	echo "test-l:"
	$(PGN_EXTRACT) -llog.txt -otest-l-out.pgn $(INPUT)/fischer.pgn
	cmp log.txt $(OUTPUT)/log.txt
	cmp test-l-out.pgn $(OUTPUT)/test-l-out.pgn

# -L
#     + Input file containing games.
#     - Input file(s): test-L1.pgn, test-L2.pgn
#     - Resulting output should be that log.txt contains the combined
#       logs from two runs of pgn-extract.
#     - Expected output: log.txt
test-LL:
	echo "test-L:"
	$(PGN_EXTRACT) -lLLog.txt -r $(INPUT)/test-L1.pgn
	$(PGN_EXTRACT) -LLLog.txt -r $(INPUT)/test-L2.pgn
	cmp LLog.txt $(OUTPUT)/LLog.txt

# -M / --checkmate
#     + Input file containing games.
#     - Input file(s): test-checkmate.pgn
#     - Resulting output should contain only those games that end in checkmate.
#     - Expected output: test-checkmate-out.pgn
test-checkmate:
	echo "test-checkmate:"
	$(PGN_EXTRACT) --checkmate -otest-checkmate-out.pgn --quiet $(INPUT)/test-checkmate.pgn
	cmp test-checkmate-out.pgn $(OUTPUT)/test-checkmate-out.pgn

# -n
#     + Input file containing games.
#     - Input file(s): petrosian.pgn
#     - Resulting output should be separate files containing matched
#       and non-matched games.
#     - Expected output: test-n-matched.pgn, test-n-unmatched.pgn
test-n:
	echo "test-n:"
	$(PGN_EXTRACT) -TpFischer -otest-n-matched.pgn -ntest-n-unmatched.pgn --quiet $(INPUT)/petrosian.pgn
	cmp test-n-matched.pgn $(OUTPUT)/test-n-matched.pgn
	cmp test-n-unmatched.pgn $(OUTPUT)/test-n-unmatched.pgn

# -N / --nonags
#     + Input file containing games with NAGs.
#     - Input file(s): test-N.pgn

=== debian/changelog ===
pgn-extract (17.55-1) unstable; urgency=medium

  * New upstream release
    - Update get-orig-source target
    - Refresh makefile.patch
  * Standards-Version 4.1.2
  * pgn-extract is now under GPL-3+

 -- Vincent Legout <vlegout@debian.org>  Sun, 17 Dec 2017 12:46:54 +0100

=== debian/control ===
Source: pgn-extract
Section: games
Priority: optional
Maintainer: Vincent Legout <vlegout@debian.org>
Build-Depends: debhelper (>= 9)
Standards-Version: 4.1.2
Homepage: http://www.cs.kent.ac.uk/people/staff/djb/pgn-extract/

Package: pgn-extract
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Portable Game Notation (PGN) extractor
 Pgn-extract is a program to extract selected games from a collection of
 chess games in PGN format. There are several ways to specify the criteria
 on which to extract: textual move sequences, the position reached after a
 sequence of moves, information in the tag fields, and material balance in
 the ending.

=== debian/rules ===
#!/usr/bin/make -f

VERSION=17.55

%:
	dh $@

get-orig-source:
	wget ftp://ftp.cs.kent.ac.uk/pub/djb/pgn-extract/pgn-extract.tgz
	tar zxvf pgn-extract.tgz
	mv pgn-extract pgn-extract-$(VERSION)
	tar czf pgn-extract_$(VERSION).orig.tar.gz pgn-extract-$(VERSION)
	rm -rf pgn-extract-$(VERSION) pgn-extract.tgz

## pgn-extract 18.10

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # Make file for the pgn-extract program.
 #
 #  This file is part of pgn-extract: a Portable Game Notation (PGN) extractor.
-#  Copyright (C) 1994-2017 David J. Barnes
+#  Copyright (C) 1994-2018 David J. Barnes
 #
 #  pgn-extract is free software: you can redistribute it and/or modify
 #  it under the terms of the GNU General Public License as published by
@@ -39,7 +39,7 @@
 	-Wstrict-prototypes -Wmissing-prototypes -Wwrite-strings \
 	-Wsign-compare -Wimplicit-function-declaration $(DEBUGINFO) \
 	-I/usr/local/lib/ansi-include -std=c99 \
-	-O3
+        -O3
 	 
 CC=gcc

=== test/Makefile ===
# Makefile to run a battery of tests of the basic functionality of pgn-extract.
# Copyright (C) David J. Barnes, 2013-2018
#
# Each test is run and then, where relevant, a comparison is made between
# the output files generated in the current directory and the 'oracle'
# files that exist in $(OUTPUT).
#
# Beware of case-insensitive filenames when testing flags that
# differ only in letter case. In general, double letters have been
# used for output-files generated from using upper-case flag letters.

# Customise these for different OSs.
SEP=/
RM=rm -f
CMP=cmp

# Possible Windows settings
#SEP=\\
#RM=del
#CMP=diff

PGN_EXTRACT=..$(SEP)pgn-extract
# Use for memory checking if valgrind is installed.
#PGN_EXTRACT=valgrind --dsymutil=yes ..$(SEP)pgn-extract
#PGN_EXTRACT=valgrind --dsymutil=yes --leak-check=full ..$(SEP)pgn-extract

# Location of the file of ECO classifications.
ECO_FILE=..$(SEP)eco.pgn

# Location of the input files
INPUT=infiles
# Location of the oracle output files
OUTPUT=outfiles

# Test everything.
all: no-flags-1 no-flags-2 test-7 test-append test-AA test-b test-p \
     test-checkfile test-nocomments test-duplicates \
     test-noduplicates test-e test-EE test-f test-FF test-h test-l \
     test-LL test-checkmate test-n test-NN test-output test-PP test-r \
     test-RR test-s test-SS test-t test-TT test-nounique test-v \
     test-VV test-linelength test-WW test-x test-ZZ test-y test-z test-hash \
     test-evaluation test-fencomments test-markmatches test-nochecks \
     test-nomovenumbers test-noresults test-notags test-plylimit \
     test-stalemate test-long-line test-plycount test-addhashcode \
     test-selectonly test-fifty test-repetition test-promotion \
     test-fixresulttags test-fuzzydepth test-setup test-stopafter \
     test-skipmatching test-splitvariants test-nobadresults test-allownullmoves \
     test-matchplylimit test-nestedcomments test-FENPattern

# BEWARE: This removes all PGN files in the current directory.
# The required test PGN files are assumed to be in $(INPUT).
clean:
	-$(RM) *.pgn *og.txt

# No flags:
#     + No input file.
#     - Input file(s): N$(SEP)A
#     - Example input:
#       f3 e5 g4 Qh4 0-1
#     - Resulting output should be that the game input on standard input is
#       formatted as PGN on standard output.
#     - Expected output: 
#       Contents of fools-mate.pgn on standard output.
no-flags-1:
	echo "test: No input file."
	$(PGN_EXTRACT) --quiet < $(INPUT)$(SEP)fools-mate.txt

# No flags:
#     + Single input file
#     - Input file(s): fools-mate.txt
#     - Resulting output should be the input formatted as PGN on standard output.
#     - Expected output: Contents of fools-mate.pgn should appear on standard output.
no-flags-2:
	echo "test: No flags."
	$(PGN_EXTRACT) --quiet $(INPUT)$(SEP)fools-mate.txt

# -7 $(SEP) --seven
#     + Input file with games having tags additional to the seven tag roster.
#     - Input file(s): test-7.pgn
#     - Game output should have only the tags of the seven tag roster.
#     - Expected output: test-7-out.pgn
test-7:
	echo "test-7:"
	$(PGN_EXTRACT) -7 -otest-7-out.pgn --quiet $(INPUT)$(SEP)test-7.pgn
	$(CMP) test-7-out.pgn $(OUTPUT)$(SEP)test-7-out.pgn

# -a $(SEP) --append
#     + Input file containing games in any accepted format.
#     - Input file(s): test-a.txt
#     - Resulting output should contain two versions of the input game
#       formatted in PGN. The --output command is run first to create
#       a new file, then the -a version to append to that file.
#     - Expected output: test-a-out.pgn
test-append:
	echo "test-append:"
	$(PGN_EXTRACT) --output test-a-out.pgn --quiet $(INPUT)$(SEP)test-a.txt
	$(PGN_EXTRACT) -atest-a-out.pgn --quiet $(INPUT)$(SEP)test-a.txt
	$(CMP) test-a-out.pgn $(OUTPUT)$(SEP)test-a-out.pgn

	$(PGN_EXTRACT) --output test-a-out.pgn --quiet $(INPUT)$(SEP)test-a.txt
	$(PGN_EXTRACT) --append test-a-out.pgn --quiet $(INPUT)$(SEP)test-a.txt
	$(CMP) test-a-out.pgn $(OUTPUT)$(SEP)test-a-out.pgn

# -A
#     + Input file containing games and a file of arguments.
#     - Input file(s): fischer.pgn, petrosian.pgn, arglist.txt
#     - Resulting output should be files separating the unique and
#       duplicated games in the input files.
#     - Expected output: test-AA-unique.pgn, test-AA-dupes.pgn
test-AA:
	echo "test-AA:"
	$(PGN_EXTRACT) -C -A$(INPUT)$(SEP)argslist.txt --quiet
	$(CMP) test-AA-dupes.pgn $(OUTPUT)$(SEP)test-AA-dupes.pgn
	$(CMP) test-AA-unique.pgn $(OUTPUT)$(SEP)test-AA-unique.pgn

# -b
#     + Input file containing games of different length.
#     - Input file(s): fischer.pgn
#     - Resulting output: games whose number of moves is within
#       the specified bounds.
# 
test-b: test-bl45 test-bu45 test-bu30

# -p
#     + Input file containing games of different length.
#     - Input file(s): fischer.pgn
#     - Resulting output: games whose number of ply is within
#       the specified bounds.
# 
test-p: test-pl90 test-pu90 test-pu60

#     - Expected output: 45 moves or more: test-bl45-out.pgn
test-bl45:
	echo "test-b:"
	$(PGN_EXTRACT) -bl45 -otest-bl45-out.pgn --quiet $(INPUT)$(SEP)fischer.pgn
	$(CMP) test-bl45-out.pgn $(OUTPUT)$(SEP)test-bl45-out.pgn

#     - Expected output: 45 moves or less: test-bu45-out.pgn
test-bu45:
	echo "test-b:"
	$(PGN_EXTRACT) -bu45 -otest-bu45-out.pgn --quiet $(INPUT)$(SEP)fischer.pgn
	$(CMP) test-bu45-out.pgn $(OUTPUT)$(SEP)test-bu45-out.pgn

#     - Expected output: exactly 30 moves: test-b30-out.pgn
test-bu30:
	echo "test-b:"
	$(PGN_EXTRACT) -b30 -otest-b30-out.pgn --quiet $(INPUT)$(SEP)fischer.pgn
	$(CMP) test-b30-out.pgn $(OUTPUT)$(SEP)test-b30-out.pgn

#     - Expected output: 90 moves or more: test-pl90-out.pgn
test-pl90:
	echo "test-p:"
	$(PGN_EXTRACT) -pl90 -otest-pl90-out.pgn --quiet $(INPUT)$(SEP)fischer.pgn
	$(CMP) test-pl90-out.pgn $(OUTPUT)$(SEP)test-pl90-out.pgn

#     - Expected output: 90 moves or less: test-pu90-out.pgn
test-pu90:
	echo "test-p:"
	$(PGN_EXTRACT) -pu90 -otest-pu90-out.pgn --quiet $(INPUT)$(SEP)fischer.pgn
	$(CMP) test-pu90-out.pgn $(OUTPUT)$(SEP)test-pu90-out.pgn

#     - Expected output: exactly 60 moves: test-p60-out.pgn
test-pu60:
	echo "test-p:"
	$(PGN_EXTRACT) -p60 -otest-p60-out.pgn --quiet $(INPUT)$(SEP)fischer.pgn
	$(CMP) test-p60-out.pgn $(OUTPUT)$(SEP)test-p60-out.pgn

# 
# -c $(SEP) --checkfile
#     + Input files containing games.
#     - Input file(s): fischer.pgn, petrosian.pgn
#     - Resulting output should contain matched games that do not already occur in
#       the check file.
#     - Expected output: test-c-out.pgn
test-checkfile:
	echo "test-checkfile:"
	$(PGN_EXTRACT) -c$(INPUT)$(SEP)petrosian.pgn -D -TpPetrosian -otest-c-out.pgn --quiet $(INPUT)$(SEP)fischer.pgn
	$(CMP) test-c-out.pgn $(OUTPUT)$(SEP)test-c-out.pgn
	$(PGN_EXTRACT) -c$(INPUT)$(SEP)clist.txt -D -TpPetrosian -otest-c-out.pgn --quiet $(INPUT)$(SEP)fischer.pgn
	$(CMP) test-c-out.pgn $(OUTPUT)$(SEP)test-c-out.pgn

# -C $(SEP) --nocomments
#     + Input file containing games with comments
#     - Input file(s): test-C.pgn
#     - Resulting output should have all comments removed.
#     - Expected output: test-CC-out.pgn
test-nocomments:
	echo "test-nocomments:"
	$(PGN_EXTRACT) -C -otest-CC-out.pgn --quiet $(INPUT)$(SEP)test-C.pgn
	$(CMP) test-CC-out.pgn $(OUTPUT)$(SEP)test-CC-out.pgn

# -d $(SEP) --duplicates
#     + Input file containing games with duplicates and non-duplicates.
#     - Input file(s): fischer.pgn, $(INPUT)$(SEP)petrosian.pgn
#     - Resulting output should be files separating the unique and
#       duplicated games in the input files.
#     - Expected output: test-d-unique.pgn, test-d-dupes.pgn
test-duplicates:
	echo "test-duplicates:"
	$(PGN_EXTRACT) -C -dtest-d-dupes.pgn -otest-d-unique.pgn --quiet $(INPUT)$(SEP)fischer.pgn $(INPUT)$(SEP)petrosian.pgn
	$(CMP) test-d-dupes.pgn $(OUTPUT)$(SEP)test-d-dupes.pgn
	$(CMP) test-d-unique.pgn $(OUTPUT)$(SEP)test-d-unique.pgn

# -D $(SEP) --noduplicates
#     + Input file containing games with duplicates and non-duplicates.
#     - Input file(s): fischer.pgn, $(INPUT)$(SEP)petrosian.pgn
#     - Resulting output should be a file containing the combined input
#       with duplicate games removed.
#     - Expected output: test-DD-unique.pgn
test-noduplicates:
	echo "test-noduplicates:"
	$(PGN_EXTRACT) -D -otest-DD-unique.pgn --quiet $(INPUT)$(SEP)fischer.pgn $(INPUT)$(SEP)petrosian.pgn
	$(CMP) test-DD-unique.pgn $(OUTPUT)$(SEP)test-DD-unique.pgn
	$(PGN_EXTRACT) --noduplicates -otest-DD-unique.pgn --quiet $(INPUT)$(SEP)fischer.pgn $(INPUT)$(SEP)petrosian.pgn
	$(CMP) test-DD-unique.pgn $(OUTPUT)$(SEP)test-DD-unique.pgn

# -e
#     + Input file containing games without ECO classifications.
#     - Input file(s): test-e.pgn and eco.pgn in the test folder.
#     - Resulting output should have ECO classification added to the tags.
#     - Expected output: test-e-out.pgn
test-e:
	echo "test-e:"
	$(PGN_EXTRACT) -e$(ECO_FILE) -otest-e-out.pgn --quiet $(INPUT)$(SEP)test-e.pgn
	$(CMP) test-e-out.pgn $(OUTPUT)$(SEP)test-e-out.pgn

# -E
#     + Input file containing games.
#     - Input file(s): test-ucE.pgn and eco.pgn if -e flag is used.
#     - Resulting output should be separate files for each ECO classification
#       at the level of the initial letter (A-E).
#	NB: The test removes existing A-E files first because this option appends
#	to existing files, which breaks the comparison test otherwise.
#     - Expected output: A.pgn, B.pgn, E.pgn
test-EE:
	echo "test-EE:"
	-$(RM) [A-E].pgn
	$(PGN_EXTRACT) -e$(ECO_FILE) -E1 --quiet $(INPUT)$(SEP)test-ucE.pgn
	$(CMP) A.pgn $(OUTPUT)$(SEP)A.pgn
	$(CMP) B.pgn $(OUTPUT)$(SEP)B.pgn
	$(CMP) E.pgn $(OUTPUT)$(SEP)E.pgn

# -f
#     + Input files containing games.
#     - Input file(s): test-f1.pgn, test-f2.pgn, files.txt
#     - Resulting output should be the combination of the input files.
#     - Expected output: test-f-out.pgn
test-f:
	echo "test-f:"
	$(PGN_EXTRACT) --quiet -f$(INPUT)$(SEP)files.txt -otest-f-out.pgn
	$(CMP) test-f-out.pgn $(OUTPUT)$(SEP)test-f-out.pgn

# -F:
#     + Input file containing games without a trailing FEN comment.
#     - Input file(s): test-F.pgn
#     - Resulting output should have a comment at the end containing
#       the FEN description of the final position.
#     - Expected output: test-FF-out.pgn
test-FF:
	echo "test-FF:"
	$(PGN_EXTRACT) -F -otest-FF-out.pgn --quiet $(INPUT)$(SEP)test-F.pgn
	$(CMP) test-FF-out.pgn $(OUTPUT)$(SEP)test-FF-out.pgn
	$(PGN_EXTRACT) -Fdiagram -otest-FF-text-out.pgn --quiet $(INPUT)$(SEP)test-F-text.pgn
	$(CMP) test-FF-text-out.pgn $(OUTPUT)$(SEP)test-FF-text-out.pgn

# 
# -h $(SEP) -? $(SEP) --help
#     + No input required.
#     - Input file(s): N$(SEP)A
#     - Resulting output should be a description of how to use pgn-extract
#     - Expected output: N$(SEP)A
# Also:
# 	..$(SEP)pgn-extract -?
# 	..$(SEP)pgn-extract --help
test-h:
	echo "test-h:"
	-$(PGN_EXTRACT) -h

# -l
#     + Input file containing games.
#     - Input file(s): fischer.pgn
#     - Resulting output: List of games parsed written to log.txt
#     - Expected output: log.txt
test-l:
	echo "test-l:"
	$(PGN_EXTRACT) -llog.txt -otest-l-out.pgn $(INPUT)$(SEP)fischer.pgn
	$(CMP) log.txt $(OUTPUT)$(SEP)log.txt
	$(CMP) test-l-out.pgn $(OUTPUT)$(SEP)test-l-out.pgn

# -L
#     + Input file containing games.
#     - Input file(s): test-L1.pgn, test-L2.pgn
#     - Resulting output should be that log.txt contains the combined
#       logs from two runs of pgn-extract.
#     - Expected output: log.txt
test-LL:
	echo "test-LL:"
	$(PGN_EXTRACT) -lLLog.txt -r $(INPUT)$(SEP)test-L1.pgn
	$(PGN_EXTRACT) -LLLog.txt -r $(INPUT)$(SEP)test-L2.pgn
	$(CMP) LLog.txt $(OUTPUT)$(SEP)LLog.txt

# -M $(SEP) --checkmate
#     + Input file containing games.
#     - Input file(s): test-checkmate.pgn
#     - Resulting output should contain only those games that end in checkmate.
#     - Expected output: test-checkmate-out.pgn
test-checkmate:
	echo "test-checkmate:"

=== debian/changelog ===
pgn-extract (18.10-1) unstable; urgency=medium

  * New upstream release
    - Update get-orig-source target
  * patches: rename remove_iframe.patch to privacy.patch, and update to remove
    Google Analytics
  * Set Vcs fields to salsa.debian.org

 -- Vincent Legout <vlegout@debian.org>  Tue, 13 Nov 2018 06:43:01 +0100

pgn-extract (18.08-1) unstable; urgency=medium

  * New upstream release
    - Update get-orig-source target
  * Standards-Version 4.2.1
  * Update to debhelper 11
  * debian/copyright: refresh copyright years, use https urls
  * debian/rules: add hardening flags
  * add debian/patches/remove_iframe.patch to remove iframe with remote mp4
  * install style.css, add it in debian/docs

 -- Vincent Legout <vlegout@debian.org>  Sat, 20 Oct 2018 07:05:42 +0200

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,11 @@
 Section: games
 Priority: optional
 Maintainer: Vincent Legout <vlegout@debian.org>
-Build-Depends: debhelper (>= 9)
-Standards-Version: 4.1.2
+Build-Depends: debhelper (>= 11~)
+Standards-Version: 4.2.1
 Homepage: http://www.cs.kent.ac.uk/people/staff/djb/pgn-extract/
+Vcs-Browser: https://salsa.debian.org/vlegout/pgn-extract
+Vcs-Git: https://salsa.debian.org/vlegout/pgn-extract.git
 
 Package: pgn-extract
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,10 @@
 #!/usr/bin/make -f
 
-VERSION=17.55
+VERSION=18.10
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
 
 %:
 	dh $@

## pgn-extract 19.04

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # Make file for the pgn-extract program.
 #
 #  This file is part of pgn-extract: a Portable Game Notation (PGN) extractor.
-#  Copyright (C) 1994-2018 David J. Barnes
+#  Copyright (C) 1994-2019 David J. Barnes
 #
 #  pgn-extract is free software: you can redistribute it and/or modify
 #  it under the terms of the GNU General Public License as published by
@@ -35,11 +35,14 @@
 # Mac OS X users might need to add -D__unix__ to CFLAGS
 # and use CC=cc or CC=gcc
 
+OPTIMISE=-O3
+
 CFLAGS+=-c -pedantic -Wall -Wshadow -Wformat -Wpointer-arith \
 	-Wstrict-prototypes -Wmissing-prototypes -Wwrite-strings \
 	-Wsign-compare -Wimplicit-function-declaration $(DEBUGINFO) \
 	-I/usr/local/lib/ansi-include -std=c99 \
-        -O3
+        $(CPPFLAGS) \
+        $(OPTIMISE)
 	 
 CC=gcc
 
@@ -49,7 +52,7 @@
 AIX_CC=xlc
 
 pgn-extract : $(OBJS)
-	$(CC) $(DEBUGINFO) $(OBJS) -o pgn-extract
+	$(CC) $(DEBUGINFO) $(ORIGCFLAGS) $(CPPFLAGS) $(LDFLAGS) $(OBJS) -o pgn-extract
 
 purify : $(OBJS)
 	purify $(CC) $(DEBUGINFO) $(OBJS) -o pgn-extract

=== test/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Makefile to run a battery of tests of the basic functionality of pgn-extract.
-# Copyright (C) David J. Barnes, 2013-2018
+# Copyright (C) David J. Barnes, 2013-2019
 #
 # Each test is run and then, where relevant, a comparison is made between
 # the output files generated in the current directory and the 'oracle'
@@ -45,7 +45,7 @@
      test-selectonly test-fifty test-repetition test-promotion \
      test-fixresulttags test-fuzzydepth test-setup test-stopafter \
      test-skipmatching test-splitvariants test-nobadresults test-allownullmoves \
-     test-matchplylimit test-nestedcomments test-FENPattern
+     test-matchplylimit test-nestedcomments test-FENPattern test-dropply
 
 # BEWARE: This removes all PGN files in the current directory.
 # The required test PGN files are assumed to be in $(INPUT).

=== debian/changelog ===
pgn-extract (19.04-1) unstable; urgency=medium

  * New upstream release
    - manpage now upstream, remove it from debian/
  * Update patches:
    - remove debian/patches/makefile.patch, applied upstream
    - refresh debian/patches/privacy.patch, partially applied upstream
  * Standards-Version 4.3.0
  * Add debian/gitlab-ci.yml

 -- Vincent Legout <vlegout@debian.org>  Tue, 07 May 2019 07:45:10 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Vincent Legout <vlegout@debian.org>
 Build-Depends: debhelper (>= 11~)
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Homepage: http://www.cs.kent.ac.uk/people/staff/djb/pgn-extract/
 Vcs-Browser: https://salsa.debian.org/vlegout/pgn-extract
 Vcs-Git: https://salsa.debian.org/vlegout/pgn-extract.git

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-VERSION=18.10
+VERSION=19.04
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 DPKG_EXPORT_BUILDFLAGS = 1

=== debian/watch ===
version=3
opts="uversionmangle=s/-/./" \
ftp://ftp.cs.kent.ac.uk/pub/djb/Extract/pgn-extract-(.*)\.tgz
